com.fasterxml.jackson.core.util

## Enum BufferRecycler.ByteBufferType

- java.lang.Object
- - java.lang.Enum<BufferRecycler.ByteBufferType>
  - - com.fasterxml.jackson.core.util.BufferRecycler.ByteBufferType

- All Implemented Interfaces:
    Serializable, Comparable<BufferRecycler.ByteBufferType>
  Enclosing class:
    BufferRecycler

      public static enum BufferRecycler.ByteBufferType
      extends Enum<BufferRecycler.ByteBufferType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASE64_CODEC_BUFFER`
    `READ_IO_BUFFER`
    `WRITE_CONCAT_BUFFER`
    `WRITE_ENCODING_BUFFER`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `size`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BufferRecycler.ByteBufferType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BufferRecycler.ByteBufferType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READ_IO_BUFFER

          public static final BufferRecycler.ByteBufferType READ_IO_BUFFER

    - #### WRITE_ENCODING_BUFFER

          public static final BufferRecycler.ByteBufferType WRITE_ENCODING_BUFFER

    - #### WRITE_CONCAT_BUFFER

          public static final BufferRecycler.ByteBufferType WRITE_CONCAT_BUFFER

    - #### BASE64_CODEC_BUFFER

          public static final BufferRecycler.ByteBufferType BASE64_CODEC_BUFFER

  - ### Field Detail

    - #### size

          protected final int size

  - ### Method Detail

    - #### values

          public static BufferRecycler.ByteBufferType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BufferRecycler.ByteBufferType c : BufferRecycler.ByteBufferType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BufferRecycler.ByteBufferType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2012-2013 FasterXML. All Rights Reserved.